#include "partition.h"
#include<bits/stdc++.h>
#define ll long long
#define vi vector<int>
#define pb push_back
#define pii pair<int,int>
#define ff first
#define ss second
#define fr(i,ii,iii) for(int i=ii;i<iii;i++)
using namespace std;
std::vector<int> solve(std::vector<int> A) {
	vi v1(A.size()/2),v2(A.size()/2);
	map<int,bool>mp;
	for(auto i:A){
		if(mp[i]==0){
			v1.pb(i);
			mp[i]=1;
		}
		else v2.pb(i);
	}
	vi ans;
	for(auto i:v1)ans.pb(i);
	for(auto i:v2)ans.pb(i);
	return ans;
}